## tdewebdev-trinity 14.2.0~pre86

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( tdewebdev )


##### include essential cmake modules ###########

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS       "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY    "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_OTHER_EDITORS     "Build with other editors than kate"                ${WITH_ALL_OPTIONS} )
option( WITH_QUANTA_CVSSERVICE "Build quanta with cvs service support"             ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL             "Build all"             ON )
option( BUILD_QUANTA          "Build quanta"          ${BUILD_ALL} )
option( BUILD_KOMMANDER       "Build Kommander"       ${BUILD_ALL} )
option( BUILD_KLINKSTATUS     "Build klinkstatus"     ${BUILD_ALL} )
option( BUILD_KIMAGEMAPEDITOR "Build kimagemapeditor" ${BUILD_ALL} )
option( BUILD_DOC             "Build documentation"   ${BUILD_ALL} )


##### user defined options

set( KMDR_EXECUTOR_PATH "${CMAKE_INSTALL_PREFIX}/bin/kmdr-executor" CACHE STRING "Path for the kmdr-executor executable" )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

tde_conditional_add_subdirectory( BUILD_QUANTA          lib             )
tde_conditional_add_subdirectory( BUILD_QUANTA          quanta          )
tde_conditional_add_subdirectory( BUILD_KOMMANDER       kommander       )
tde_conditional_add_subdirectory( BUILD_KLINKSTATUS     klinkstatus     )
tde_conditional_add_subdirectory( BUILD_KIMAGEMAPEDITOR kimagemapeditor )
tde_conditional_add_subdirectory( BUILD_DOC             doc             )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )
