=== doc/kimagemapeditor/CMakeLists.txt ===
tde_create_handbook( DESTINATION kimagemapeditor )
