=== doc/klinkstatus/CMakeLists.txt ===
tde_create_handbook( DESTINATION klinkstatus )
