=== klinkstatus/src/CMakeLists.txt ===
add_subdirectory( cfg    )
add_subdirectory( engine )
add_subdirectory( parser )
add_subdirectory( utils  )
add_subdirectory( ui     )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/klinkstatus/src/ui
  ${CMAKE_BINARY_DIR}/klinkstatus/src/ui/settings
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libklinkstatuspart (kpart)

tde_add_kpart( libklinkstatuspart AUTOMOC

  SOURCES
        klinkstatus_part.cpp
        global.cpp
        actionmanager.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     settings-static
     ui-static
     engine-static
     klinkstatus-parser-static
     utils-static
     
  DEPENDENCIES
     ui-static
     settings-static
     engine-static
     klinkstatus-parser-static
     utils-static
     
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### klinkstatus (executable)

tde_add_executable( klinkstatus AUTOMOC

  SOURCES
        klinkstatus.cpp
        main.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeparts-shared
     klinkstatus-parser-static

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    FILES klinkstatus_shell.rc
    DESTINATION ${DATA_INSTALL_DIR}/klinkstatus
)

tde_create_translated_desktop(
    SOURCE klinkstatus.desktop
    PO_DIR klinkstatus-desktops
)

tde_create_translated_desktop(
    SOURCE klinkstatus_part.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR klinkstatus-desktops
)

install(
    FILES klinkstatus_part.rc
    DESTINATION ${DATA_INSTALL_DIR}/klinkstatuspart
)
