=== kommander/examples/CMakeLists.txt ===
add_subdirectory( current  )
add_subdirectory( old      )
add_subdirectory( tutorial )
