=== kommander/factory/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kommander/widget
  ${CMAKE_SOURCE_DIR}/kommander/plugin
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

add_definitions( -DTQT_NO_SQL )


##### kommanderfactory (static)

tde_add_library( kommanderfactory STATIC_PIC AUTOMOC

  SOURCES
        kommanderfactory.cpp
        domtool.cpp
  LINK
     kommanderplugin-shared
)


###### headers

install(
    FILES kommanderfactory.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
)
