=== kommander/icons/CMakeLists.txt ===
##### icons

tde_install_icons( kommander )

install(
    FILES hi22-action-arrow.png
    DESTINATION ${DATA_INSTALL_DIR}/kommander/icons/hicolor/22x22/actions
    RENAME arrow.png
)
