=== kommander/part/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kommander/executor
  ${CMAKE_SOURCE_DIR}/kommander/factory
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libkommander_part (kpart)

tde_add_kpart( libkommander_part AUTOMOC

  SOURCES
        kommander_part.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     kjs-shared
     tdeparts-shared
     tdehtml-shared
     kommanderwidget-shared
     kommanderplugin-shared
     instance-static  

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kommander_part.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kommander-desktops
)
