=== kommander/widgets/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kommander/widget
  ${CMAKE_SOURCE_DIR}/kommander/factory
  ${CMAKE_SOURCE_DIR}/kommander/plugin
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kommanderwidgets (shared)

tde_add_library( kommanderwidgets SHARED AUTOMOC

  SOURCES
        aboutdialog.cpp buttongroup.cpp
        checkbox.cpp closebutton.cpp
        combobox.cpp datepicker.cpp dialog.cpp
        execbutton.cpp fileselector.cpp
        fontdialog.cpp groupbox.cpp
        konsole.cpp label.cpp
        lineedit.cpp listbox.cpp
        pixmaplabel.cpp plugin.cpp
        popupmenu.cpp progressbar.cpp
        radiobutton.cpp richtexteditor.cpp
        scriptobject.cpp slider.cpp
        spinboxint.cpp statusbar.cpp
        subdialog.cpp table.cpp
        tabwidget.cpp textbrowser.cpp
        textedit.cpp timer.cpp
        toolbox.cpp treewidget.cpp
        wizard.cpp
  LINK
     tdeio-shared
     kommanderwidget-shared
     kommanderplugin-shared
     kommanderfactory-static

  DESTINATION ${LIB_INSTALL_DIR}
  
  VERSION 0.0.0
)
