=== quanta/plugins/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/quanta/src
  ${CMAKE_SOURCE_DIR}/quanta/project
  ${CMAKE_SOURCE_DIR}/quanta/parsers
  ${CMAKE_SOURCE_DIR}/quanta/utility
  ${CMAKE_SOURCE_DIR}/quanta/messages
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### plugins (static) ##########################

tde_add_library( plugins STATIC_PIC AUTOMOC
  SOURCES
    quantaplugininterface.cpp quantaplugineditor.cpp
    quantapluginconfig.cpp quantaplugin.cpp plugineditor.ui
    pluginconfig.ui
)
