=== doc/man/kimagemapeditor/CMakeLists.txt ===
install(
    FILES kimagemapeditor.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)
