=== debian/changelog ===
tdewebdev-trinity (4:14.2.0~pre86-0ubuntu22.04.0+7) jammy; urgency=low

  * Automated git build for b90048d2140f0dd9b729dda2fbf0d2204ae1dc3c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 17 Oct 2025 02:30:09 +0200
