=== debian/control ===
Source: tdewebdev-trinity
Section: web
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Armin Berres <trigger+debian@space-based.de>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tqt3-doc, libxml2-dev, libxslt1-dev, libicu-dev, libcvsservice-trinity-dev
Standards-Version: 3.8.4
Homepage: http://trinity.pearsoncomputing.net

Package: tdewebdev-trinity
Architecture: all
Section: tde
Replaces: kdewebdev-kde3 (<< 4:14.0.0~), kdewebdev-trinity (<< 4:14.0.0~)
Breaks: kdewebdev-kde3 (<< 4:14.0.0~), kdewebdev-trinity (<< 4:14.0.0~)
Depends: quanta-trinity (>= ${source:Version}), kimagemapeditor-trinity (>= ${source:Version}), klinkstatus-trinity (>= ${source:Version}), kommander-trinity (>= ${source:Version})
Suggests: kommander-trinity-dev (>= ${source:Version}), tdewebdev-trinity-doc-html (>= ${source:Version})
Description: web development apps from the official TDE release [Trinity]
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of web development applications
 provided with the official release of TDE.

Package: tdewebdev-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdewebdev-kde3-doc-html (<< 4:14.0.0~), kdewebdev-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdewebdev-kde3-doc-html (<< 4:14.0.0~), kdewebdev-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdewebdev-trinity
Description: TDE web development documentation in HTML format [Trinity]
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE web development documentation converted
 to HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/quanta/. Documentation is provided for most
 TDE web development packages.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: quanta-trinity
Architecture: any
Section: web
Replaces: quanta-kde3 (<< 4:14.0.0~), quanta-trinity (<< 4:14.0.0~)
Breaks: quanta-kde3 (<< 4:14.0.0~), quanta-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdefilereplace-trinity, klinkstatus-trinity, kommander-trinity, quanta-data-trinity, tidy
Recommends: cervisia-trinity, gnupg, kompare-trinity, kxsldbg-trinity, docbook-defguide
Suggests: gubed, kimagemapeditor-trinity, wget, khelpcenter-trinity, php-doc
Description: web development environment for TDE [Trinity]
 Quanta Plus is a web development environment for working with HTML
 and associated languages. It strives to be neutral and transparent
 to all markup languages, while supporting popular web-based scripting
 languages, CSS and other emerging W3C recommendations.
 .
 Quanta Plus supports many external components, debuggers and other tools
 for web development, several of which are shipped with the TDE web
 development module.
 .
 Quanta Plus is not in any way affiliated with any commercial versions
 of Quanta. The primary coders from the original team left the GPL'd
 version to produce a commercial product.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: quanta-data-trinity
Architecture: all
Section: web
Replaces: quanta-data-kde3 (<< 4:14.0.0~), quanta-data-trinity (<< 4:14.0.0~)
Breaks: quanta-data-kde3 (<< 4:14.0.0~), quanta-data-trinity (<< 4:14.0.0~)
Recommends: quanta-trinity (= ${source:Version})
Description: data files for Quanta Plus web development environment [Trinity]
 This package contains architecture-independent data files for Quanta
 Plus, a web development environment for working with HTML and associated
 languages.
 .
 See the quanta package for further information.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kimagemapeditor-trinity
Architecture: any
Section: editors
Replaces: kimagemapeditor-kde3 (<< 4:14.0.0~), kimagemapeditor-trinity (<< 4:14.0.0~)
Breaks: kimagemapeditor-kde3 (<< 4:14.0.0~), kimagemapeditor-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: quanta-trinity
Description: HTML image map editor for TDE [Trinity]
 KImageMapEditor is a tool that allows you to edit image maps in HTML
 files. As well as providing a standalone application, KImageMapEditor
 makes itself available as a KPart for embedding into larger applications.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: klinkstatus-trinity
Architecture: any
Section: web
Replaces: klinkstatus-kde3 (<< 4:14.0.0~), klinkstatus-trinity (<< 4:14.0.0~)
Breaks: klinkstatus-kde3 (<< 4:14.0.0~), klinkstatus-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: quanta-trinity, khelpcenter-trinity
Description: web link validity checker for TDE [Trinity]
 KLinkStatus is TDE's web link validity checker. It allows you to
 search internal and external links throughout your web site. Simply
 point it to a single page and choose the depth to search.
 .
 You can also check local files, or files over ftp:, fish: or any other
 KIO protocols. For performance, links can be checked simultaneously.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kommander-trinity
Architecture: any
Section: tde
Replaces: kommander-kde3 (<< 4:14.0.0~), kommander-trinity (<< 4:14.0.0~)
Breaks: kommander-kde3 (<< 4:14.0.0~), kommander-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: kommander-trinity-dev, quanta-trinity, khelpcenter-trinity
Description: visual dialog builder and executor tool [Trinity]
 Kommander is a visual dialog building tool whose primary objective is
 to create as much functionality as possible without using any scripting
 language.
 .
 More specifically, Kommander is a set of tools that allow you to create
 dynamic GUI dialogs that generate, based on their state, a piece of
 text. The piece of text can be a command line to a program, any piece
 of code, business documents that contain a lot of repetitious or
 templated text and so on.
 .
 The resulting generated text can then be executed as a command line
 program (hence the name "Kommander"), written to a file, passed to a
 script for extended processing, and literally anything else you can
 think of. And you aren't required to write a single line of code!
 .
 As well as building dialogs, Kommander may be expanded to create full
 mainwindow applications.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kommander-trinity-dev
Architecture: any
Section: libdevel
Replaces: kommander-kde3-dev (<< 4:14.0.0~), kommander-trinity-dev (<< 4:14.0.0~)
Breaks: kommander-kde3-dev (<< 4:14.0.0~), kommander-trinity-dev (<< 4:14.0.0~)
Depends: kommander-trinity (= ${binary:Version}), tdelibs14-trinity-dev
Description: development files for Kommander [Trinity]
 This package contains the headers and other development files for
 building plugins or otherwise extending Kommander.
 .
 Kommander is a visual dialog building tool whose primary objective is
 to create as much functionality as possible without using any scripting
 language.
 .
 See the kommander package for further information.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: tdewebdev-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdewebdev-kde3-dbg (<< 4:14.0.0~), kdewebdev-trinity-dbg (<< 4:14.0.0~)
Breaks: kdewebdev-kde3-dbg (<< 4:14.0.0~), kdewebdev-trinity-dbg (<< 4:14.0.0~)
Depends: tdelibs-trinity-dbg
Priority: extra
Description: debugging symbols for tdewebdev [Trinity]
 This package contains the debugging symbols associated with tdewebdev.
 They will automatically be used by gdb for debugging tdewebdev-related
 issues.
