## tdewebdev-trinity 14.2.0~pre88

=== debian/changelog ===
tdewebdev-trinity (4:14.2.0~pre88-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for a5ec2f60ed4a2d68b2654eddf0fc865ff4b7e86b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:13:36 +0100
