## tdewebdev-trinity 14.2.0~pre89

=== debian/changelog ===
tdewebdev-trinity (4:14.2.0~pre89-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for ef7ea1f2a121513d75661a9d5bc5b75bbcd236c8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 30 Dec 2025 14:36:30 +0100
