## tdewebdev-trinity 14.2.0~pre90

=== debian/changelog ===
tdewebdev-trinity (4:14.2.0~pre90-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 4a438f4899fca4bace0b66231aaa636e38751311
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:13:57 +0100
