## tdewebdev-trinity 14.2.0~pre92

=== debian/changelog ===
tdewebdev-trinity (4:14.2.0~pre92-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for e1c0db08869e30a26d3fd5e8be1716b0b723f65d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:14:51 +0100
