## tdewebdev-trinity 14.2.0~pre94

=== klinkstatus/src/CMakeLists.txt ===
--- 
+++ 
@@ -41,14 +41,15 @@
      engine-static
      klinkstatus-parser-static
      utils-static
-     
+ 
   DEPENDENCIES
      ui-static
      settings-static
      engine-static
      klinkstatus-parser-static
      utils-static
-     
+     klinkstatus+src+cfg+klsconfig.cpp
+
   DESTINATION ${PLUGIN_INSTALL_DIR}
 )
