=== klinkstatus/src/engine/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src/ui
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### engine (static)

tde_add_library( engine STATIC_PIC AUTOMOC

  SOURCES
        linkchecker.cpp
        linkstatus.cpp
        searchmanager.cpp
        linkfilter.cpp
  LINK
     tdehtml-shared

  DEPENDENCIES
    klinkstatus+src+cfg+klsconfig.cpp
)
