=== klinkstatus/src/ui/CMakeLists.txt ===
add_subdirectory( settings )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_BINARY_DIR}/klinkstatus/src/cfg
  ${CMAKE_BINARY_DIR}/klinkstatus/src
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### ui (static)

tde_add_library( ui STATIC_PIC AUTOMOC

  SOURCES
        sessionwidgetbase.ui
        sessionwidget.cpp tabwidgetsession.cpp
        klshistorycombo.cpp resultview.cpp
        treeview.cpp resultssearchbar.cpp
        documentrootdialog.cpp
  LINK
     cfg-static

  DEPENDENCIES
    klinkstatus+src+cfg+klsconfig.cpp
)
