=== debian/changelog ===
tdewebdev-trinity (4:14.2.0~pre94-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for e7207f65b26efb232b21737508d7c7d8de346670
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 19 Feb 2026 16:11:41 +0100
